diff --git a/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.c b/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.c
index dd6eb42d9cd..cd6bd96a391 100644
--- a/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.c
+++ b/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.c
@@ -68,7 +68,6 @@ glusterd_conn_init(glusterd_conn_t *conn, char *sockpath, time_t frame_timeout,
     } else
         ret = 0;
 
-    conn->frame_timeout = frame_timeout;
     conn->rpc = rpc;
     conn->notify = notify;
 out:
diff --git a/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.h b/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.h
index af09dd33109..50e5bd7dd16 100644
--- a/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.h
+++ b/xlators/mgmt/glusterd/src/glusterd-conn-mgmt.h
@@ -23,7 +23,6 @@ struct glusterd_conn_ {
     /* Existing daemons tend to specialize their respective
      * notify implementations, so ... */
     glusterd_conn_notify_t notify;
-    time_t frame_timeout;
     char sockpath[PATH_MAX];
 };
 
diff --git a/xlators/mgmt/glusterd/src/glusterd-handler.c b/xlators/mgmt/glusterd/src/glusterd-handler.c
index e774cbbdd2e..b2b572f3382 100644
--- a/xlators/mgmt/glusterd/src/glusterd-handler.c
+++ b/xlators/mgmt/glusterd/src/glusterd-handler.c
@@ -903,7 +903,6 @@ glusterd_req_ctx_create(rpcsvc_request_t *rpc_req, int op, uuid_t uuid,
         goto out;
     }
 
-    gf_uuid_copy(req_ctx->uuid, uuid);
     req_ctx->op = op;
     ret = dict_unserialize(buf_val, buf_len, &dict);
     if (ret) {
diff --git a/xlators/mgmt/glusterd/src/glusterd-op-sm.c b/xlators/mgmt/glusterd/src/glusterd-op-sm.c
index 2a012ff7630..77a027cf0bc 100644
--- a/xlators/mgmt/glusterd/src/glusterd-op-sm.c
+++ b/xlators/mgmt/glusterd/src/glusterd-op-sm.c
@@ -7654,7 +7654,6 @@ glusterd_op_ac_send_brick_op(glusterd_op_sm_event_t *event, void *ctx)
         free_req_ctx = _gf_true;
         op = glusterd_op_get_op();
         req_ctx->op = op;
-        gf_uuid_copy(req_ctx->uuid, MY_UUID);
         ret = glusterd_op_build_payload(&req_ctx->dict, &op_errstr, NULL);
         if (ret) {
             gf_msg(this->name, GF_LOG_ERROR, 0,
diff --git a/xlators/mgmt/glusterd/src/glusterd-op-sm.h b/xlators/mgmt/glusterd/src/glusterd-op-sm.h
index 494f0fcf922..3da0f4108e9 100644
--- a/xlators/mgmt/glusterd/src/glusterd-op-sm.h
+++ b/xlators/mgmt/glusterd/src/glusterd-op-sm.h
@@ -114,7 +114,6 @@ typedef struct glusterd_op_lock_ctx_ glusterd_op_lock_ctx_t;
 
 struct glusterd_req_ctx_ {
     rpcsvc_request_t *req;
-    u_char uuid[16];
     int op;
     dict_t *dict;
 };
diff --git a/xlators/mgmt/glusterd/src/glusterd-shd-svc.c b/xlators/mgmt/glusterd/src/glusterd-shd-svc.c
index b3623fe3b08..0dacaedbb5c 100644
--- a/xlators/mgmt/glusterd/src/glusterd-shd-svc.c
+++ b/xlators/mgmt/glusterd/src/glusterd-shd-svc.c
@@ -91,8 +91,6 @@ glusterd_shdsvc_init(void *data, glusterd_conn_t *mux_conn,
 
     /* Initialize the connection mgmt */
     if (mux_conn && mux_svc->rpc) {
-        /* multiplexed svc */
-        svc->conn.frame_timeout = mux_conn->frame_timeout;
         /* This will be unrefed from glusterd_shd_svcproc_cleanup*/
         svc->conn.rpc = rpc_clnt_ref(mux_svc->rpc);
         ret = snprintf(svc->conn.sockpath, sizeof(svc->conn.sockpath), "%s",
diff --git a/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c b/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
index aacdfe2d778..212b459d4b9 100644
--- a/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
+++ b/xlators/mgmt/glusterd/src/glusterd-svc-mgmt.c
@@ -435,9 +435,10 @@ glusterd_muxsvc_common_rpc_notify(glusterd_svc_proc_t *mux_proc,
                 }
             }
             if (mux_proc->status != GF_SVC_DIED) {
-                svc = (cds_list_empty(&mux_proc->svcs) ? NULL :
-                       cds_list_entry(mux_proc->svcs.next, glusterd_svc_t,
-                                      mux_svc));
+                svc = (cds_list_empty(&mux_proc->svcs)
+                           ? NULL
+                           : cds_list_entry(mux_proc->svcs.next, glusterd_svc_t,
+                                            mux_svc));
                 if (svc && !glusterd_proc_is_running(&svc->proc)) {
                     mux_proc->status = GF_SVC_DIED;
                 } else {
@@ -509,7 +510,6 @@ glusterd_muxsvc_conn_init(glusterd_conn_t *conn, glusterd_svc_proc_t *mux_proc,
     else
         ret = 0;
 
-    conn->frame_timeout = frame_timeout;
     conn->rpc = rpc;
     mux_proc->notify = notify;
 out:
diff --git a/xlators/mgmt/glusterd/src/glusterd.h b/xlators/mgmt/glusterd/src/glusterd.h
index 5927e000562..f1a55ce1038 100644
--- a/xlators/mgmt/glusterd/src/glusterd.h
+++ b/xlators/mgmt/glusterd/src/glusterd.h
@@ -156,7 +156,6 @@ typedef struct {
     struct list_head xprt_list;
     pthread_mutex_t import_volumes;
     gf_store_handle_t *handle;
-    gf_timer_t *timer;
     glusterd_sm_tr_log_t op_sm_log;
     struct rpc_clnt_program *gfs_mgmt;
     dict_t *mgmt_v3_lock;        /* Dict for saving
@@ -170,14 +169,11 @@ typedef struct {
 
     dict_t *mgmt_v3_lock_timer;
     struct cds_list_head mount_specs;
-    pthread_t brick_thread;
     void *hooks_priv;
 
-    xlator_t *xl; /* Should be set to 'THIS' before creating thread */
     /* need for proper handshake_t */
     int op_version; /* Starts with 1 for 3.3.0 */
     gf_boolean_t pending_quorum_action;
-    gf_boolean_t trace;
     gf_boolean_t restart_done;
     dict_t *opts;
     synclock_t big_lock;
@@ -187,7 +183,6 @@ typedef struct {
     rpcsvc_t *uds_rpc; /* RPCSVC for the unix domain socket */
     uint32_t base_port;
     uint32_t max_port;
-    char *snap_bricks_directory;
     gf_store_handle_t *missed_snaps_list_shandle;
     struct cds_list_head missed_snaps_list;
     time_t ping_timeout;
@@ -301,19 +296,6 @@ struct _auth {
 
 typedef struct _auth auth_t;
 
-struct glusterd_bitrot_scrub_ {
-    char *scrub_state;
-    char *scrub_impact;
-    char *scrub_freq;
-    uint64_t scrubbed_files;
-    uint64_t unsigned_files;
-    time_t last_scrub_time;
-    uint64_t scrub_duration;
-    uint64_t error_count;
-};
-
-typedef struct glusterd_bitrot_scrub_ glusterd_bitrot_scrub_t;
-
 struct glusterd_rebalance_ {
     uint64_t rebalance_files;
     uint64_t rebalance_data;
@@ -394,9 +376,6 @@ struct glusterd_volinfo_ {
     /* Replace brick status */
     glusterd_replace_brick_t rep_brick;
 
-    /* Bitrot scrub status*/
-    glusterd_bitrot_scrub_t bitrot_scrub;
-
     int version;
     uint32_t quota_conf_version;
     uint32_t cksum;
